# This file is part of CoVeriTeam Remote Service:
# https://gitlab.com/sosy-lab/software/coveriteam-remote-server
#
# SPDX-FileCopyrightText: 2019-2020 Dirk Beyer <https://sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

# This is a Docker image for running the tests.
#
# Commands for updating the image:
# docker build -t registry.gitlab.com/sosy-lab/software/coveriteam-remote-server/test:python-3.8 - < test/Dockerfile.python-3.8
# docker push registry.gitlab.com/sosy-lab/software/coveriteam-remote-server/test

FROM ubuntu:20.04

RUN apt update && apt upgrade -y && apt install -y \
  lxcfs \
  sudo \
  python3-pip


RUN pip3 install -U pip && pip3 install \
    'nose' \
    'coverage' \
    'Flask' \
    'requests' \
    'CoVeriTeam' \
